import 'package:diplomaticquarterapp/core/enum/viewstate.dart';
import 'package:diplomaticquarterapp/core/model/pharmacies/PharmacyProduct.dart';
import 'package:diplomaticquarterapp/core/service/parmacyModule/parmacy_module_service.dart';
import 'package:diplomaticquarterapp/core/viewModels/base_view_model.dart';

import '../../../locator.dart';

class BestSellerViewModel extends BaseViewModel {

  PharmacyModuleService _pharmacyService = locator<PharmacyModuleService>();

  List<PharmacyProduct> get bestSellerProduct =>
      _pharmacyService.bestSellerProducts;

  getBestSellerProducts() async {
    setState(ViewState.BusyLocal);
    await _pharmacyService.getBestSellerProducts();
    // if (_pharmacyService.hasError) {
    //   error = _pharmacyService.error;
    //   setState(ViewState.Error);
    // } else {
      setState(ViewState.Idle);
    // }
  }

}